-------------------------------------------------
--  In   : CLK      20KHz
--       : RESET    Active Hi 
--  Out  : Tick100usOut
--       : Tick1msOut 
--       : Tick10msOut 
-------------------------------------------------

entity TB_TIMER is
end TB_TIMER;

library IEEE;
use IEEE.std_logic_1164.all;
use IEEE.std_logic_unsigned.all;

architecture SIM of TB_TIMER is 
component TIMER
	port( RESET : in std_logic; 
		CLK : in std_logic;
		Tick100usOut : out std_logic;
		Tick1msOut : out std_logic;
		Tick10msOut : out std_logic
	);
end component;

signal      RESET : std_logic;
signal      CLK : std_logic;
signal		Tick100usOut : std_logic;
signal		Tick1msOut : std_logic;
signal		Tick10msOut : std_logic;

begin
DUT :  TIMER
    port map( RESET => RESET,
		CLK => CLK,
		Tick100usOut => Tick100usOut,
		Tick1msOut => Tick1msOut,
		Tick10msOut => Tick10msOut
	);

    RESET <= '1','0' after 100ns;

	process begin
		CLK <= '0';
		wait for 25us;
		CLK <= '1';
		wait for 25us;
	end process;
		
end SIM;

configuration CONFIG of TB_TIMER is
	for SIM
	end for;
end CONFIG;
